summaryrefslogtreecommitdiffstats
path: root/system/refind-bin/refind-bin.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/refind-bin/refind-bin.SlackBuild')
-rw-r--r--system/refind-bin/refind-bin.SlackBuild116
1 files changed, 116 insertions, 0 deletions
diff --git a/system/refind-bin/refind-bin.SlackBuild b/system/refind-bin/refind-bin.SlackBuild
new file mode 100644
index 0000000000..465f5fcf90
--- /dev/null
+++ b/system/refind-bin/refind-bin.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/bash
+
+# Slackware build script for refind
+
+# Copyright 2014-2023 Zhu Qun-Ying
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=refind-bin
+SRCNAM=refind
+VERSION=${VERSION:-0.14.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" != "x86_64" ] && [ "$ARCH" != "i586" ] && [ "$ARCH" != "i686" ]; then
+ echo "Platform $ARCH not supported."
+ exit
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-bin-$VERSION
+unzip $CWD/$SRCNAM-bin-${VERSION}.zip
+cd $SRCNAM-bin-$VERSION
+chown -R root:root .
+
+REFIND_SHARE_DIR=$PKG/usr/share/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/sbin
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $REFIND_SHARE_DIR
+
+# copy keys
+cp -ra keys refind refind-install refind-mkdefault fonts banners $REFIND_SHARE_DIR
+cp mkrlconf mvrefind mountesp $PKG/usr/sbin
+cp -a docs/* *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+
+(cd $PKG/usr/sbin
+ ln -sf /usr/share/$PRGNAM-$VERSION/refind-install
+ ln -sf /usr/share/$PRGNAM-$VERSION/refind-mkdefault)
+
+AA64_PKG="$REFIND_SHARE_DIR/refind/drivers_aa64 \
+ $REFIND_SHARE_DIR/refind/tools_aa64 \
+ $REFIND_SHARE_DIR/refind/refind_aa64.efi"
+# remove unnecessary packages
+if [ "$ARCH" = "x86_64" ]; then
+ rm -rf $REFIND_SHARE_DIR/refind/drivers_ia32 \
+ $REFIND_SHARE_DIR/refind/tools_ia32 \
+ $REFIND_SHARE_DIR/refind/refind_ia32.efi \
+ $AA64_PKG
+else
+ rm -rf $REFIND_SHARE_DIR/refind/drivers_x64 \
+ $REFIND_SHARE_DIR/refind/tools_x64 \
+ $REFIND_SHARE_DIR/refind/refind_x64.efi \
+ $AA64_PKG
+fi
+
+find $PKG/usr/doc -type d -exec chmod 0755 {} \;
+
+# include a slackware banner made by me, including the svg version
+cp $CWD/slackware-banner.* $REFIND_SHARE_DIR/banners
+
+mkdir -p $PKG/usr/man/man8
+mv $PKG/usr/doc/$PRGNAM-$VERSION/man/*.8 $PKG/usr/man/man8
+rmdir $PKG/usr/doc/$PRGNAM-$VERSION/man
+find $PKG/usr/man -type f -exec chmod 0644 {} \;
+gzip $PKG/usr/man/man8/*
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE